@import "../helium/helium";

@mixin helium-extended {
  @include helium;


    .v-table-row,
    .v-table-row-odd {
      &.premium-grade {
        background-color: #f08080;
        color: white;
        .jmix-grouptable-group-cell-expander:before {
          color: white;
        }
      }
    }

      .v-table-row,
          .v-table-row-odd {
            &.completed-grade {
              background-color: #3AAF5D; /* Change to green for Completed */
              color: white;
              .jmix-grouptable-group-cell-expander:before {
                color: white;
              }
            }
        }

         .v-table-row,
              .v-table-row-odd {
               &.pending-grade {
                         background-color: yellow; /* Change to yellow for Pending */
                         color: black; /* Change text color for better visibility */
                         .jmix-grouptable-group-cell-expander:before {
                           color: black; /* Change expand icon color for better visibility */
                         }
                       }
            }

            .v-table-row,
              .v-table-row-odd {
                 &.failed-grade {
                         background-color: red; /* Change to red for Failed */
                         color: white;
                         .jmix-grouptable-group-cell-expander:before {
                           color: white;
                         }
                       }
            }

    .v-table-row,
    .v-table-row-odd {
      &.high-grade {
        background-color: green;
        color: white;
        .jmix-grouptable-group-cell-expander:before {
          color: white;
        }
      }
    }

    .v-table-row,
    .v-table-row-odd {
      &.standard-grade {
        background-color: #ffff66;
        color: #000000;
        .jmix-grouptable-group-cell-expander:before {
          color: #000000;
        }
      }
    }

  /* Remove border and background styles for the TagField */
    .v-tagfield {
      border: none !important;
      background: none !important;
      padding: 0 !important;
      margin: 0 !important;
    }

    //     NEW

    /* Custom Title Label*/
    .v-label-custom {
        font-size: 20px;
        margin-top: 5px;
        margin-right: 10px;
        margin-bottom: 10px;
        margin-left:0px;
        color: #64748B;
        font-weight: bold;
    }

    .v-label-custom-16 {
            font-size: 16px;
            margin-top: 5px;
            margin-right: 10px;
            margin-bottom: 10px;
            margin-left:0px;
            color: #64748B;
            font-weight: bold;
        }

   .v-label-custom-14-regular {
            font-size: 16px;
            margin-right: 10px;
            margin-left:0px;
            color: #64748B;
            font-weight: regular;
        }

      /* Custom version of GroupBox with custom styles for the inner layout */
      .custom-groupbox {
          border-left: 1px solid #D1D3D4;
          border-right: 1px solid #D1D3D4;
          border-top: 1px solid #D1D3D4;
          border-bottom: 1px solid #D1D3D4; /* Customize the border color and width as needed */
          margin: 0px;
          padding: 0px;
      }

        .green-status {
            background-color: #CFE9D9;
            color: #3AAF5D;
        }

        .red-status {
            background-color: #F7C6C7;
            color: #FF0000;
        }

        .blue-status {
            background-color: #BCE0FD;
            color: #357EF2;
        }

       .yellow-status {
            background-color: #ffffcc;
            color: #808000;
            }

       .grey-status {
            background-color: #cccccc;
            color: #666666;
       }
        .orange-status {
            background-color: #ffd180;
            color: #FFA500;
       }


//
//       /* Reset padding and margin to 0 for specified elements */
//       .v-slot,
//       .v-slot-custom-groupbox,
//       .v-slot-jmix-panel-groupbox {
//           padding: 0;
//           margin: 0;
//       }

    //  NEW

   /* Basic */
  --app-background-color: #DDDDE0;
  --background-color: #F8F8F8;
  --background-color_rgb: 248, 248, 248;
  --border-color: #357EF2;
  --primary-color: #357EF2;
  --primary-color_rgb: 53, 126, 242;

    /* Common */
  --primary-color-shade-1: #4B35F2;
  --primary-dim-color: #357EF2;

    /* Button */
  --button-primary-disabled-color: #357EF2;
  --button-primary-focused-border-color: #4B35F2;

    /* Calendar */
  --calendar-month-day-selected-background-color: #357EF2;
  --calendar-month-day-today-background-color: #357EF2;
  --calendar-week-longevents-border-color: #357EF2;
  --calendar-week-range-selection-color: #357EF2;

    /* CheckBox */
  --checkbox-checked-focused-background-color: #357EF2;

    /* DateField */
  --datefield-calendarpanel-day-selected-focus-ring-color: #357EF2;

    /* Grid */
  --grid-hovered-row-background-color: #357EF2;
  --grid-selected-row-focus-ring-color: #357EF2;

    /* GroupBox */
  --groupbox-border-color: #357EF2;
  --groupbox-collapsed-background-color: #357EF2;
  --groupbox-collapsed-border-color: #357EF2;

    /* Link */
  --link-disabled-color: #357EF2;

    /* Pagination */
  --pagination-selected-page-disabled-color: #357EF2;

    /* Panel */
  --panel-border-color: #357EF2;

    /* SearchField */
  --searchselect-edit-background-color: #357EF2;

    /* SideMenu */
  --sidemenu-item-badge-background-color: #357EF2;
  --sidemenu-responsive-item-separator-color: #357EF2;

    /* SourceCodeEditor */
  --sourcecodeeditor-selection-background-color: #357EF2;

    /* SplitPanel */
  --splitpanel-splitter-background-color: #357EF2;
  --splitpanel-splitter-border-color: #357EF2;
  --splitpanel-splitter-large-border-color: #357EF2;
  --splitpanel-splitter-large-handle-color: #357EF2;

    /* SuggestionField */
  --suggestionfield-modified-background-color: #357EF2;

    /* TabSheet */
  --tabsheet-framed-content-border-color: #357EF2;
  --tabsheet-framed-tabcontainer-border-color: #357EF2;
  --tabsheet-framed-tabitemcell-selected-background-color: #357EF2;
  --tabsheet-tabcontainer-border-color: #357EF2;

    /* Table */
  --table-hovered-row-background-color: #357EF2;

    /* TagLabel */
  --taglabel-disabled-background-color: #3AAF5D;

    /* Tree */
  --tree-border-color: #357EF2;
  --tree-selected-row-focus-ring-color: #357EF2;

    /* TreeGrid */
  --tree-grid-selected-row-focus-ring-color: #357EF2;

}

.dark {
    /* Basic */
    --border-color: #357EF2;
    --primary-color: #357EF2;
    --primary-color_rgb: 53, 126, 242;

    /* Common */
    --primary-color-shade-1: #4B35F2;
    --primary-color-shade-2: #357EF2;
    --primary-dim-color: #357EF2;

    /* Button */
    --button-primary-disabled-color: #357EF2;
    --button-primary-focused-border-color: #4B35F2;

    /* Calendar */
    --calendar-month-day-selected-background-color: #357EF2;
    --calendar-month-day-today-background-color: #357EF2;
    --calendar-week-event-content-border-color: #357EF2;
    --calendar-week-longevents-border-color: #357EF2;
    --calendar-week-range-selection-color: #357EF2;

    /* CheckBox */
    --checkbox-border-color: #357EF2;
    --checkbox-focused-border-color: #357EF2;

    /* DateField */
    --datefield-calendarpanel-day-selected-focus-ring-color: #357EF2;
    --datefield-calendarpanel-day-today-border-color: #357EF2;

    /* DatePicker */
    --datepicker-border-color: #357EF2;

    /* FileUpload */
    --fileupload-dropzone-prompt-border-color: #357EF2;

    /* Grid */
    --grid-hovered-row-background-color: #357EF2;
    --grid-selected-row-focus-ring-color: #357EF2;

    /* GroupBox */
    --groupbox-border-color: #357EF2;
    --groupbox-collapsed-background-color: #357EF2;
    --groupbox-collapsed-border-color: #357EF2;

    /* Link */
    --link-disabled-color: #357EF2;

    /* Pagination */
    --pagination-selected-page-disabled-color: #357EF2;

    /* Panel */
    --panel-border-color: #357EF2;

    /* SearchField */
    --searchselect-edit-background-color: #357EF2;

    /* SideMenu */
    --sidemenu-item-badge-background-color: #357EF2;
    --sidemenu-responsive-item-separator-color: #357EF2;

    /* SourceCodeEditor */
    --sourcecodeeditor-selection-background-color: #357EF2;

    /* SplitPanel */
    --splitpanel-splitter-background-color: #357EF2;
    --splitpanel-splitter-border-color: #357EF2;
    --splitpanel-splitter-large-border-color: #357EF2;
    --splitpanel-splitter-large-handle-color: #357EF2;

    /* SuggestionField */
    --suggestionfield-modified-background-color: #357EF2;

    /* TabSheet */
    --tabsheet-framed-content-border-color: #357EF2;
    --tabsheet-framed-tabcontainer-border-color: #357EF2;
    --tabsheet-framed-tabitemcell-selected-background-color: #357EF2;
    --tabsheet-tabcontainer-border-color: #357EF2;

    /* Table */
    --table-hovered-row-background-color: #357EF2;

    /* TagLabel */
    --taglabel-disabled-background-color: #3AAF5D;

    /* Tree */
    --tree-border-color: #357EF2;
    --tree-selected-row-focus-ring-color: #357EF2;

    /* TreeGrid */
    --tree-grid-selected-row-focus-ring-color: #357EF2;


  }







